Freeciv-3.1: packet_ruleset_road Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_road Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
enum road_gui_type | gui_type
int | first_reqs_count
struct requirement | first_reqs [MAX_NUM_REQS]
int | move_cost
enum road_move_mode | move_mode
int | tile_incr_const [O_LAST]
int | tile_incr [O_LAST]
int | tile_bonus [O_LAST]
enum road_compat | compat
bv_max_extras | integrates
bv_road_flags | flags

## Detailed Description

Definition at line 1335 of file packets_gen.h.

## Field Documentation

## ◆ compat

enum road_compat packet_ruleset_road::compat

Definition at line 1345 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ first_reqs

struct requirement packet_ruleset_road::first_reqs[MAX_NUM_REQS]

Definition at line 1339 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ first_reqs_count

int packet_ruleset_road::first_reqs_count

Definition at line 1338 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ flags

bv_road_flags packet_ruleset_road::flags

Definition at line 1347 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ gui_type

enum road_gui_type packet_ruleset_road::gui_type

Definition at line 1337 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ id

int packet_ruleset_road::id

Definition at line 1336 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ integrates

bv_max_extras packet_ruleset_road::integrates

Definition at line 1346 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ move_cost

int packet_ruleset_road::move_cost

Definition at line 1340 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ move_mode

enum road_move_mode packet_ruleset_road::move_mode

Definition at line 1341 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ tile_bonus

int packet_ruleset_road::tile_bonus[O_LAST]

Definition at line 1344 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ tile_incr

int packet_ruleset_road::tile_incr[O_LAST]

Definition at line 1343 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().

## ◆ tile_incr_const

int packet_ruleset_road::tile_incr_const[O_LAST]

Definition at line 1342 of file packets_gen.h.

Referenced by handle_ruleset_road(), send_packet_ruleset_road_100(), and send_ruleset_roads().